Index: /issm/trunk-jpl/externalpackages/matplotlib/install-linux64.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/matplotlib/install-linux64.sh	(revision 13371)
+++ /issm/trunk-jpl/externalpackages/matplotlib/install-linux64.sh	(revision 13371)
@@ -0,0 +1,14 @@
+#/bin/bash
+set -eu
+export GIT_SSL_NO_VERIFY=true 
+export CC="gcc -fPIC "
+export CXX="g++ -fPIC -L$ISSM_DIR/externalpackages/tcl/install/lib"
+export F77="gfortran -fPIC"
+export FC="gfortran -fPIC"
+export FFLAGS=-ff2c
+
+git clone https://github.com/matplotlib/matplotlib
+mv matplotlib src
+cd src
+python setup.py build 
+python setup.py install 
Index: /issm/trunk-jpl/externalpackages/matplotlib/install-macosx64.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/matplotlib/install-macosx64.sh	(revision 13371)
+++ /issm/trunk-jpl/externalpackages/matplotlib/install-macosx64.sh	(revision 13371)
@@ -0,0 +1,27 @@
+#/bin/bash
+set -eu
+
+export C_INCLUDE_PATH="$C_INCLUDE_PATH:/usr/include/c++/4.2.1"
+export GIT_SSL_NO_VERIFY=true 
+export CC="gcc -fPIC -arch x86_64 -I/usr/include/c++/4.2.1"
+export CXX="g++ -fPIC -arch x86_64 -I/usr/include/c++/4.2.1"
+export F77="gfortran -fPIC -arch x86_64 -I/usr/include/c++/4.2.1"
+export FC="gfortran -fPIC -arch x86_64 -I/usr/include/c++/4.2.1"
+export FFLAGS="-ff2c -arch x86_64 -I/usr/include/c++/4.2.1"
+export ARCHFLAGS="-arch x86_64 -I/usr/include/c++/4.2.1"
+
+git clone https://github.com/matplotlib/matplotlib
+mv matplotlib src
+mkdir deps
+cd src
+
+#only try this if the classic python setup.py build approach does not work. The approach in the next 3 lines can 
+#trigger issues of permissions with freetype. Sometimes it is better to independently install freetype2 (from the 
+#issm externalpackages) as sudo (or root), so that the python script can detect its existence automatically.
+#sudo make -f make.osx PREFIX=$ISSM_DIR/externalpackages/matplotlib/deps PYVERSION=$pythonversion fetch deps mpl_install_std
+#sudo make -f make.osx PREFIX=$ISSM_DIR/externalpackages/matplotlib/deps PYVERSION=$pythonversion mpl_install_std
+#python -c "import matplotlib; print 'Installed matplotlib', matplotlib.__version__, matplotlib.__file__"
+
+#to be tried:  first get freetype and zlib and libpng installed in sudo mode
+python setup.py build
+python setup.py install
Index: sm/trunk-jpl/externalpackages/matplotlib/install-osx.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/matplotlib/install-osx.sh	(revision 13370)
+++ 	(revision )
@@ -1,32 +1,0 @@
-#/bin/bash
-set -eu
-pythonversion=2.7
-PYTHON=python${pythonversion}
-
-export C_INCLUDE_PATH="$C_INCLUDE_PATH:/usr/include/c++/4.2.1"
-export GIT_SSL_NO_VERIFY=true 
-export CC="gcc -fPIC -arch x86_64 -I/usr/include/c++/4.2.1"
-export CXX="g++ -fPIC -arch x86_64 -I/usr/include/c++/4.2.1"
-export F77="gfortran -fPIC -arch x86_64 -I/usr/include/c++/4.2.1"
-export FC="gfortran -fPIC -arch x86_64 -I/usr/include/c++/4.2.1"
-export FFLAGS="-ff2c -arch x86_64 -I/usr/include/c++/4.2.1"
-export ARCHFLAGS="-arch x86_64 -I/usr/include/c++/4.2.1"
-
-
-
-git clone https://github.com/matplotlib/matplotlib
-mv matplotlib src
-mkdir deps
-cd src
-
-#only try this if the classic python setup.py build approach does not work. The approach in the next 3 lines can 
-#trigger issues of permissions with freetype. Sometimes it is better to independently install freetype2 (from the 
-#issm externalpackages) as sudo (or root), so that the python script can detect its existence automatically.
-#sudo make -f make.osx PREFIX=$ISSM_DIR/externalpackages/matplotlib/deps PYVERSION=$pythonversion fetch deps mpl_install_std
-#sudo make -f make.osx PREFIX=$ISSM_DIR/externalpackages/matplotlib/deps PYVERSION=$pythonversion mpl_install_std
-#${PYTHON} -c "import matplotlib; print 'Installed matplotlib', matplotlib.__version__, matplotlib.__file__"
-
-
-#to be tried:  first get freetype and  zlib and libpng installed in sudo mode
-python setup.py build
-python setup.py install
Index: sm/trunk-jpl/externalpackages/matplotlib/install.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/matplotlib/install.sh	(revision 13370)
+++ 	(revision )
@@ -1,18 +1,0 @@
-#/bin/bash
-set -eu
-pythonversion=2.7
-PYTHON=python${pythonversion}
-
-export GIT_SSL_NO_VERIFY=true 
-export CC="gcc -fPIC "
-export CXX="g++ -fPIC -L$ISSM_DIR/externalpackages/tcl/install/lib"
-export F77="gfortran -fPIC"
-export FC="gfortran -fPIC"
-export FFLAGS=-ff2c
-
-
-git clone https://github.com/matplotlib/matplotlib
-mv matplotlib src
-cd src
-python setup.py build 
-python setup.py install 
Index: /issm/trunk-jpl/externalpackages/numpy/install-linux64.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/numpy/install-linux64.sh	(revision 13370)
+++ /issm/trunk-jpl/externalpackages/numpy/install-linux64.sh	(revision 13371)
@@ -1,6 +1,4 @@
 #!/bin/bash
 set -eu
-PYVERSION=2.7
-PYTHON=python${PYVERSION}
 
 export CC="gcc -fPIC"
@@ -22,4 +20,4 @@
 python setup.py install
 cd ..
-${PYTHON} -c "import numpy; print 'Installed NumPy', numpy.__version__"
-${PYTHON} -c "import numpy; numpy.test()"
+python -c "import numpy; print 'Installed NumPy', numpy.__version__"
+python -c "import numpy; numpy.test()"
Index: /issm/trunk-jpl/externalpackages/numpy/install-macosx-snowleopard.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/numpy/install-macosx-snowleopard.sh	(revision 13370)
+++ /issm/trunk-jpl/externalpackages/numpy/install-macosx-snowleopard.sh	(revision 13371)
@@ -1,10 +1,8 @@
 #!/bin/bash
-PYVERSION=2.7
-PYTHON=python${PYVERSION}
+set -eu
 
-# gfortran 4.6 (see ISSM_DIR/externalpackages/gfortran) is necessary for ISSM compilation.
-# On OSX 10.6, this recommended version gets installed in /usr/local/gfortran 
-export CC=/usr/local/gfortran/bin/gcc
-export CXX=/usr/local/gfortran/bin/g++
+# On OSX 10.6, gfortran gets installed in /usr/local/gfortran 
+export CC="/usr/local/gfortran/bin/gcc"
+export CXX="/usr/local/gfortran/bin/g++"
 
 #download numpy first
@@ -16,4 +14,4 @@
 python setup.py install
 cd ..
-${PYTHON} -c "import numpy; print 'Installed NumPy', numpy.__version__"
-${PYTHON} -c "import numpy; numpy.test()"
+python -c "import numpy; print 'Installed NumPy', numpy.__version__"
+python -c "import numpy; numpy.test()"
Index: /issm/trunk-jpl/externalpackages/scipy/install-linux64.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/scipy/install-linux64.sh	(revision 13370)
+++ /issm/trunk-jpl/externalpackages/scipy/install-linux64.sh	(revision 13371)
@@ -1,6 +1,4 @@
 #!/bin/bash
 set -eu
-PYVERSION=2.7
-PYTHON=python${PYVERSION}
 
 export CC="gcc -fPIC"
@@ -27,4 +25,4 @@
 python setup.py install
 cd ..
-${PYTHON} -c "import scipy; print 'Installed SciPy', scipy.__version__"
-##${PYTHON} -c "import scipy; scipy.test()"
+python -c "import scipy; print 'Installed SciPy', scipy.__version__"
+#python -c "import scipy; scipy.test()"
Index: /issm/trunk-jpl/externalpackages/scipy/install-macosx-snowleopard.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/scipy/install-macosx-snowleopard.sh	(revision 13370)
+++ /issm/trunk-jpl/externalpackages/scipy/install-macosx-snowleopard.sh	(revision 13371)
@@ -1,11 +1,8 @@
 #!/bin/bash
 set -eu
-PYVERSION=2.7
-PYTHON=python${PYVERSION}
 
-# gfortran 4.6 (see ISSM_DIR/externalpackages/gfortran) is necessary for ISSM compilation.
-# On OSX 10.6, this recommended version gets installed in /usr/local/gfortran 
-export CC=/usr/local/gfortran/bin/gcc
-export CXX=/usr/local/gfortran/bin/g++
+# On OSX 10.6, fgortran gets installed in /usr/local/gfortran 
+export CC="/usr/local/gfortran/bin/gcc"
+export CXX="/usr/local/gfortran/bin/g++"
 
 #download scipy
@@ -17,4 +14,4 @@
 python setup.py install
 cd ..
-${PYTHON} -c "import scipy; print 'Installed SciPy', scipy.__version__"
-${PYTHON} -c "import scipy; scipy.test()"
+python -c "import scipy; print 'Installed SciPy', scipy.__version__"
+python -c "import scipy; scipy.test()"
